package com.yem.wm.bd.customer.from.op;

import com.yem.wm.bd.customer.from.Validator.CustomerDisableValidator;
import com.yem.wm.bd.customer.from.Validator.CustomerValidator;
import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.AddValidatorsEventArgs;
import kd.bos.entity.plugin.PreparePropertysEventArgs;

/**
 * @author ljw
 * @date 2024/7/22 16:38
 * @description CustomerDisableOp
 */
public class CustomerDisableOp extends AbstractOperationServicePlugIn {
    @Override
    public void onPreparePropertys(PreparePropertysEventArgs e) {
        super.onPreparePropertys(e);
        e.getFieldKeys().add("yem_torderid");
        e.getFieldKeys().add("status");
    }
    @Override
    public void onAddValidators(AddValidatorsEventArgs e) {
        super.onAddValidators(e);
        e.addValidator(new CustomerDisableValidator());

    }
}
